From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libwmf/
Date: Tue, 18 Apr 2023 04:29:01 +0000 (UTC) [thread overview]
Message-ID: <1681791068.4a2750e9d8ea819974f2f585f03e0540d729881e.sam@gentoo> (raw)
commit: 4a2750e9d8ea819974f2f585f03e0540d729881e
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 18 04:11:08 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Apr 18 04:11:08 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a2750e9
media-libs/libwmf: add 0.2.13
Signed-off-by: Sam James <sam <AT> gentoo.org>
media-libs/libwmf/Manifest | 1 +
media-libs/libwmf/libwmf-0.2.13.ebuild | 90 ++++++++++++++++++++++++++++++++++
2 files changed, 91 insertions(+)
diff --git a/media-libs/libwmf/Manifest b/media-libs/libwmf/Manifest
index 2c2c1bd12f62..765c69762970 100644
--- a/media-libs/libwmf/Manifest
+++ b/media-libs/libwmf/Manifest
@@ -1 +1,2 @@
+DIST libwmf-0.2.13.tar.gz 3044235 BLAKE2B 0cfbc94d6e7d52c5ecf09b277cf536f56ec54d3b53845e80afdfe4aa3b397562bffd198fb51726d210f21e3e9e16650f85e9188f4e5303b5c4c8b917ef882040 SHA512 f45a936c9bc98fc1a5f2b0808b497119e4dcd3c132615fdddb7583e5719c7d1d7f85c16ebf313cad453e5b7ae3508bf6b80c4ed2b42322b7dec295d8f4eb86ce
DIST libwmf-0.2.8.4.tar.gz 2169375 BLAKE2B d86de4483201a07639779e024752d5c00a3dbc7399be353879b828850b74612651bbcf1851f322d62352259b73647038790580a9a4aeb43b7aeb4c1affedcabe SHA512 d98df8e76a52245487b13e5ab3d2fbba9d246f97ee04a7344c0e5861bb2d0f990fc6d662dbd849ce621768b06eaebd4270fb34bec4ee004334a98b14ba6044a5
diff --git a/media-libs/libwmf/libwmf-0.2.13.ebuild b/media-libs/libwmf/libwmf-0.2.13.ebuild
new file mode 100644
index 000000000000..46d011d65fc0
--- /dev/null
+++ b/media-libs/libwmf/libwmf-0.2.13.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools gnome2-utils
+
+DESCRIPTION="A library for reading vector images in Microsoft's Windows Metafile Format (WMF)"
+HOMEPAGE="https://github.com/caolanm/libwmf http://wvware.sourceforge.net/"
+SRC_URI="https://github.com/caolanm/libwmf/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+LICENSE="LGPL-2"
+SLOT="0"
+IUSE="debug doc expat X"
+
+RDEPEND="app-text/ghostscript-gpl
+ media-fonts/urw-fonts
+ media-libs/freetype:2=
+ media-libs/libpng:0=
+ sys-libs/zlib:=
+ x11-libs/gdk-pixbuf:2
+ virtual/jpeg:0=
+ expat? ( dev-libs/expat )
+ !expat? ( dev-libs/libxml2:2= )
+ X? ( x11-libs/libX11
+ x11-libs/libXt
+ x11-libs/libXpm )"
+
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( "AUTHORS" "BUILDING" "ChangeLog" "CREDITS" "INSTALL" "NEWS" "README" "TODO" )
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.2.8.4-build.patch
+ "${FILESDIR}"/${PN}-0.2.8.4-libpng-1.5.patch
+ "${FILESDIR}"/${PN}-0.2.8.4-pngfix.patch
+)
+
+src_prepare() {
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ # Support for GD is disabled, since it's never linked, even, when enabled
+ # See https://bugs.gentoo.org/268161
+ local myeconfargs=(
+ --disable-gd
+ --disable-static
+ $(use_enable debug)
+ $(use_with expat)
+ $(use_with !expat libxml2)
+ $(use_with X x)
+ --with-docdir="${EPREFIX}"/usr/share/doc/${PF}
+ --with-fontdir="${EPREFIX}"/usr/share/fonts/urw-fonts
+ --with-freetype
+ --with-gsfontdir="${EPREFIX}"/usr/share/fonts/urw-fonts
+ --with-gsfontmap="${EPREFIX}"/usr/share/ghostscript/9.21/Resource/Init/Fontmap
+ --with-jpeg
+ --with-layers
+ --with-png
+ --with-sys-gd
+ --with-zlib
+ )
+
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ # address parallel build issue, bug 677566
+ MAKEOPTS=-j1
+
+ default
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_preinst() {
+ gnome2_gdk_pixbuf_savelist
+}
+
+pkg_postinst() {
+ gnome2_gdk_pixbuf_update
+}
+
+pkg_postrm() {
+ gnome2_gdk_pixbuf_update
+}
next reply other threads:[~2023-04-18 4:29 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-04-18 4:29 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-13 15:20 [gentoo-commits] repo/gentoo:master commit in: media-libs/libwmf/ Petr Vaněk
2024-02-06 11:02 Michał Górny
2023-05-29 20:18 Sam James
2023-05-28 19:10 Arthur Zamarin
2023-05-27 11:15 Arthur Zamarin
2023-05-27 10:30 Sam James
2023-05-25 8:02 Arthur Zamarin
2023-05-25 8:02 Arthur Zamarin
2023-05-25 7:56 Arthur Zamarin
2023-04-18 4:38 Sam James
2023-04-18 4:29 Sam James
2022-05-17 12:48 WANG Xuerui
2022-01-18 18:39 Sam James
2022-01-01 13:41 James Le Cuirot
2021-07-13 19:36 Marek Szuba
2021-01-25 20:59 Sam James
2021-01-06 14:27 Fabian Groffen
2020-11-10 17:46 Matt Turner
2020-02-08 16:53 David Seifert
2019-04-25 16:35 Pacho Ramos
2019-04-24 23:11 Thomas Deutschmann
2019-04-14 14:37 Aaron Bauman
2019-02-19 21:15 Markus Meier
2019-02-12 15:59 Thomas Deutschmann
2019-02-07 16:47 Mikle Kolyada
2019-02-02 21:17 Sergei Trofimovich
2019-02-02 19:18 Sergei Trofimovich
2019-02-02 19:09 Sergei Trofimovich
2019-02-01 14:55 Tobias Klausmann
2019-01-28 19:38 Sergei Trofimovich
2017-06-18 9:51 Alexis Ballier
2016-01-10 14:20 Michael Palimaka
2015-12-27 10:42 Mikle Kolyada
2015-11-18 9:32 Agostino Sarubbo
2015-11-14 16:45 Markus Meier
2015-11-09 8:53 Agostino Sarubbo
2015-11-06 11:28 Agostino Sarubbo
2015-11-06 11:27 Agostino Sarubbo
2015-11-06 4:36 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1681791068.4a2750e9d8ea819974f2f585f03e0540d729881e.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox